Bug 505044 - ping6 should respect the scope_id returned by getaddrinfo
ping6 should respect the scope_id returned by getaddrinfo
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: iputils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 09:42 EDT by Jeff Layton
Modified: 2014-11-09 17:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 09:56:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2009-06-10 09:42:23 EDT
There is a hosts nss module that resolves IPv6 link-local addresses, complete with scope-id:

http://samba.org/~idra/code/nss-ipv6literal/README.html

You use it something like this:

It turns names like "fe80--21d-7dff-fe9c-3c86seth0.ipv6-literal.net" into IPv6 addresses + a scope ID.

...it's an ugly syntax but it works. Even though ping6 uses getaddrinfo to resolve the name and the scopeid is provided by getaddrinfo, ping6 apparently ignores it and still requires a -I option.

It would be nice (and likely fairly simple) to make it not require a -I option to ping link-local addrs when a scopeid has already been provided by getaddrinfo.
Comment 1 john.haxby@oracle.com 2009-11-10 09:45:55 EST
This isn't needed, as this works perfectly well:

  ping6 fe80::206:5bff:fe6b:c8a7%eth0

Old versions of iputils wwould have caused problems and, indeed, RHEL5 still has a problem (see bug 534087) -- the problem with that version is that getaddrinfo() wasn't being called if the address begins with a IPv6 numeric address).

This bug needs to be closed.
Comment 2 Jeff Layton 2009-11-10 09:56:33 EST
Fair enough -- I haven't checked it, but I'll assume you're correct.

Note You need to log in before you can comment on or make changes to this bug.